Bug 484738 - Occasional X hang with nv driver
Occasional X hang with nv driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Reopened, Triaged
: 501781 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 13:46 EST by Pat Gunn
Modified: 2012-08-16 17:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:48:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (180.35 KB, text/plain)
2009-02-09 13:46 EST, Pat Gunn
no flags Details

  None (edit)
Description Pat Gunn 2009-02-09 13:46:00 EST
Created attachment 331343 [details]
Xorg.0.log

Description of problem:Every few weeks, my X session hangs and control-alt-backspace cannot recover. I can ssh in from other systems, but killing Xorg doesn't restore functionality (a new Xorg does start, but this doesn't actually make the system usable, it just changes the background - gdm fails to start). chvt hangs (it's interruptable, but never completes). The only solution seems to be rebooting from a remote ssh when it occurs.

Hardware:  
01:00.0 VGA compatible controller: nVidia Corporation Device 0649 (rev a1) (prog
-if 00 [VGA controller])
        Subsystem: Hewlett-Packard Company Device 3610
        Flags: bus master, fast devsel, latency 0, IRQ 11
        Memory at d2000000 (32-bit, non-prefetchable) [size=16M]
        Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Memory at d0000000 (64-bit, non-prefetchable) [size=32M]
        I/O ports at 8000 [size=128]
        Expansion ROM at <ignored> [disabled]
        Capabilities: <access denied>
        Kernel modules: nvidiafb
Log snippets from Xorg.0.log when it locks up:
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e7a26]
1: /usr/bin/Xorg(mieqEnqueue+0x291) [0x4c8591]
2: /usr/bin/Xorg(xf86PostMotionEventP+0xc4) [0x491494]
3: /usr/bin/Xorg(xf86PostMotionEvent+0xa9) [0x491669]
4: /usr/lib64/xorg/modules/input//evdev_drv.so [0x38b4452]
5: /usr/bin/Xorg [0x47a765]
6: /usr/bin/Xorg [0x46b307]
7: /lib64/libc.so.6 [0x39a1a32f90]
8: /usr/lib64/xorg/modules/drivers//nv_drv.so(G80DispCommand+0x50) [0x25c3cc0]
9: /usr/lib64/xorg/modules/drivers//nv_drv.so [0x25c438d]
10: /usr/bin/Xorg [0x4a5aee]
11: /usr/bin/Xorg(xf86SetCursor+0x107) [0x4acf67]
12: /usr/bin/Xorg [0x4ac4d6]
13: /usr/bin/Xorg(miPointerUpdateSprite+0x190) [0x4d11e0]
14: /usr/bin/Xorg [0x4d12a2]
15: /usr/bin/Xorg [0x4fc4ee]
16: /usr/bin/Xorg [0x51cc9f]
17: /usr/bin/Xorg [0x44da1f]
18: /usr/bin/Xorg(ChangeWindowAttributes+0xd98) [0x435108]
19: /usr/bin/Xorg(ProcChangeWindowAttributes+0xb7) [0x4463b7]
20: /usr/bin/Xorg(Dispatch+0x364) [0x4468d4]
21: /usr/bin/Xorg(main+0x45d) [0x42cd1d]
22: /lib64/libc.so.6(__libc_start_main+0xe6) [0x39a1a1e576]
23: /usr/bin/Xorg [0x42c0f9]
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.



Version-Release number of selected component (if applicable):
xorg-x11-drv-nv-2.1.12.x86_64
kernel-2.6.27.12.x86_64

How reproducible:
Not very. Happens once every few weeks

Steps to Reproduce:
1.Use system, it occasionally locks up
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Pat Gunn 2009-03-05 22:44:40 EST
Still happens with kernel-2.6.27.19-170 and xorg-x11-drv-nv-2.1.12-6. Xorg logs look the same.
Comment 2 Ben Skeggs 2009-05-26 07:56:17 EDT
*** Bug 501781 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2009-11-18 04:49:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:51:58 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Pat Gunn 2011-01-12 05:32:34 EST
Still happening with Fedora 14.

[  9914.803] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[  9914.803] 
Backtrace:
[  9914.803] 0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x4a0498]
[  9914.803] 1: /usr/bin/Xorg (mieqEnqueue+0x1f4) [0x49f9a4]
[  9914.803] 2: /usr/bin/Xorg (xf86PostMotionEventP+0xc4) [0x47c754]
[  9914.803] 3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f44433cf000+0x453f) [0x7f44433d353f]
[  9914.803] 4: /usr/bin/Xorg (0x400000+0x6a447) [0x46a447]
[  9914.803] 5: /usr/bin/Xorg (0x400000+0x118c53) [0x518c53]
[  9914.803] 6: /lib64/libc.so.6 (0x343f600000+0x34100) [0x343f634100]
[  9914.804] 7: /lib64/libc.so.6 (ioctl+0x7) [0x343f6dc7b7]
[  9914.804] 8: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x3450a03648]
[  9914.804] 9: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x3450a057ab]
[  9914.804] 10: /usr/lib64/libdrm_nouveau.so.1 (0x7f44453e9000+0x2ded) [0x7f44453ebded]
[  9914.804] 11: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0xfe) [0x7f44453ec3fe]
[  9914.804] 12: /usr/lib64/libdrm_nouveau.so.1 (0x7f44453e9000+0x1f2d) [0x7f44453eaf2d]
[  9914.804] 13: /usr/lib64/libdrm_nouveau.so.1 (nouveau_pushbuf_flush+0x1af) [0x7f44453eb4ff]
[  9914.804] 14: /usr/lib64/xorg/modules/libexa.so (0x7f444499f000+0x9105) [0x7f44449a8105]
[  9914.804] 15: /usr/lib64/xorg/modules/libexa.so (0x7f444499f000+0xbcd1) [0x7f44449aacd1]
[  9914.804] 16: /usr/bin/Xorg (0x400000+0xd70b7) [0x4d70b7]
[  9914.804] 17: /usr/lib64/xorg/modules/libexa.so (0x7f444499f000+0xd328) [0x7f44449ac328]
[  9914.804] 18: /usr/bin/Xorg (0x400000+0xd67b5) [0x4d67b5]
[  9914.804] 19: /usr/bin/Xorg (0x400000+0xd010d) [0x4d010d]
[  9914.804] 20: /usr/bin/Xorg (0x400000+0x2d4d1) [0x42d4d1]
[  9914.804] 21: /usr/bin/Xorg (0x400000+0x2152e) [0x42152e]
[  9914.804] 22: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x343f61ee7d]
[  9914.804] 23: /usr/bin/Xorg (0x400000+0x210d9) [0x4210d9]
Comment 7 Vojtech Vitek 2011-03-16 09:36:57 EDT
Any word, Ben?
Comment 8 Fedora End Of Life 2012-08-16 17:48:40 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.